summaryrefslogtreecommitdiff
path: root/t/txinfo-vtexi.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-12-31 13:57:29 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-12-31 14:08:08 +0100
commit5470c2dd9a594dc3cec553cd8ee052841ee5b8bd (patch)
tree58926202dec5fd5541a59b4967559b8352b24aad /t/txinfo-vtexi.sh
parent924ef267ffd8602dcc0be71c589655812fbe4d85 (diff)
downloadautomake-5470c2dd9a594dc3cec553cd8ee052841ee5b8bd.tar.gz
tests: some more renames for texinfo tests
* t/txinfo.sh: Rename ... * t/txinfo-tex-dist.sh: ... like this. * t/txinfo10.sh: Rename ... * t/txinfo-dvi-recurs.sh: ... like this. * t/txinfo20.sh: Rename ... * t/txinfo-makeinfo-error-no-clobber.sh: ... like this. * t/txinfo-setfilename-suffix-match.sh: Rename ... * t/txinfo-setfilename-suffix-strip.sh: ... like this. * t/txinfo-suffix-less-info.sh: Rename ... * t/txinfo-without-info-suffix.sh: ... like this. * t/vtexi.sh: Rename ... * t/txinfo-vtexi.sh: ... like this. * t/vtexi2.sh: Rename ... * t/txinfo-vtexi2.sh: ... like this. * t/vtexi3.sh: Rename ... * t/txinfo-vtexi3.sh: ... like this, and adjust heading comments. * t/vtexi4.sh: Rename ... * t/txinfo-vtexi4.sh: ... like this, and adjust heading comments. * t/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/txinfo-vtexi.sh')
-rwxr-xr-xt/txinfo-vtexi.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/t/txinfo-vtexi.sh b/t/txinfo-vtexi.sh
new file mode 100755
index 000000000..31b763ec3
--- /dev/null
+++ b/t/txinfo-vtexi.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Copyright (C) 1996-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Basic checks and some regressions testing on 'version.texi'
+# support for texinfo files.
+
+. test-init.sh
+
+cat > Makefile.am << 'END'
+info_TEXINFOS = textutils.texi
+END
+
+cat > textutils.texi << 'END'
+@include version.texi
+@setfilename textutils.info
+END
+
+# Required when using Texinfo.
+: > mdate-sh
+: > texinfo.tex
+
+$ACLOCAL
+$AUTOMAKE
+
+# Test for bug reported by Jim Meyering:
+# When I ran automake-0.29 on textutils,
+# I noticed that doc/Makefile.in had
+# textutils.info: textutils.texi
+# instead of
+# textutils.info: textutils.texi version.texi
+# Today this should be:
+# $(srcdir)/textutils.info: $(srcdir)/version.texi
+# or:
+# $(srcdir)/textutils.info: version.texi
+grep '^\$(srcdir)/textutils\.info:.*[ /]version\.texi *$' Makefile.in
+
+# Test for bug reported by Lars Hecking:
+# When running the first version of configure.ac aware automake,
+# @CONFIGURE_AC@ was not properly substituted.
+$EGREP 'stamp-vti:.*textutils\.texi( .*)?$' Makefile.in
+$EGREP 'stamp-vti:.*\$\(top_srcdir\)/configure( .*)?$' Makefile.in
+
+# Check that the path to mdate-sh is correct. Over escaping of '$'
+# etc. once led to '\$\(srcdir\)/mdate-sh'.
+# Filter out '$(srcdir)/mdate-sh'; there should be no occurrences
+# of '.../mdate-sh' left then.
+sed 's,\$(srcdir)/mdate-sh,,g' Makefile.in | grep '/mdate-sh' && exit 1
+
+: